## dunst 0.2.0

=== Makefile ===
# dunst - Notification-daemon
# See LICENSE file for copyright and license details.

include config.mk

SRC = draw.c dunst.c ini.c
OBJ = ${SRC:.c=.o}

all: doc options dunst

options:
	@echo dunst build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC -c $<
	@${CC} -c $< ${CFLAGS}

${OBJ}: config.mk

dunst: draw.o dunst.o ini.o
	@echo CC -o $@
	@${CC} ${CFLAGS} -o $@ dunst.o draw.o ini.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f ${OBJ}
	@rm -f dunst
	@rm -f dunst.1

doc: dunst.1
dunst.1: README.pod
	pod2man $< > $@

install: all
	@echo installing executables to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dunst ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dunst
	@echo installing manual pages to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@cp -f dunst.1 ${DESTDIR}${MANPREFIX}/man1/
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dunst.1
	@mkdir -p "${DESTDIR}${PREFIX}/share/dunst"
	@ cp -f dunstrc ${DESTDIR}${PREFIX}/share/dunst

uninstall:
	@echo removing executables from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dunst
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dunst

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
dunst (0.2.0-3) unstable; urgency=low

  * Ship org.knopwob.dunst.service so that dunst gets D-Bus-activated when a
    notification arrives. Thanks Jakob Haufe. (Closes: #683089)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 02 Aug 2012 00:07:31 +0200

dunst (0.2.0-2) unstable; urgency=low

  * Add Provides: notification-daemon so that you can use dunst to replace
    another notification-daemon. Thanks Andrew Hout. (Closes: #681732)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 16 Jul 2012 20:31:29 +0200

dunst (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #678445)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 27 Jun 2012 18:02:29 +0200

=== debian/control ===
Source: dunst
Section: x11
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 8.0.0), libdbus-1-dev, libx11-dev, libxinerama-dev, libxft-dev, libxss-dev, libxdg-basedir-dev
Standards-Version: 3.9.3
Homepage: http://knopwob.github.com/dunst/
#Vcs-Git: git://git.debian.org/collab-maint/dunst.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/dunst.git;a=summary

Package: dunst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: notification-daemon
Description: minimalistic notification daemon
 Dunst is a notification daemon for Linux with a minimalistic appearance: The
 only thing it displays is a colored box with unformatted text. The whole
 notification specification (non-optional parts and the "body" capability) is
 supported as long as it fits into this look & feel.
 .
 Dunst is designed to fit nicely into minimalistic windowmanagers like dwm, but
 it should work on any Linux desktop.

=== debian/watch ===
version=3
https://github.com/knopwob/dunst/tags .*/tarball/v(\d[\d\.]+)

## dunst 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,18 @@
 
 include config.mk
 
-SRC = draw.c dunst.c ini.c
+SRC = x.c  \
+	  dunst.c \
+	  dbus.c  \
+	  utils.c \
+	  option_parser.c \
+	  settings.c \
+	  rules.c \
+	  menu.c \
+	  notification.c
 OBJ = ${SRC:.c=.o}
 
-all: doc options dunst
+all: doc options dunst service dunstify
 
 options:
 	@echo dunst build options:
@@ -18,21 +26,38 @@
 	@echo CC -c $<
 	@${CC} -c $< ${CFLAGS}
 
-${OBJ}: config.mk
+${OBJ}: config.h config.mk
 
-dunst: draw.o dunst.o ini.o
+config.h:
+	@echo creating $@ from config.def.h
+	@cp config.def.h $@
+
+dunst: ${OBJ}
 	@echo CC -o $@
-	@${CC} ${CFLAGS} -o $@ dunst.o draw.o ini.o ${LDFLAGS}
+	@${CC} ${CFLAGS} -o $@ ${OBJ} ${LDFLAGS}
+
+dunstify:
+	@${CC} -o $@ dunstify.c -std=c99 $(shell pkg-config --libs --cflags glib-2.0 libnotify) 
+
+debug: ${OBJ}
+	@echo CC -o $@
+	@${CC} ${CFLAGS} -O0 -o dunst ${OBJ} ${LDFLAGS}
 
 clean:
 	@echo cleaning
 	@rm -f ${OBJ}
 	@rm -f dunst
 	@rm -f dunst.1
+	@rm -f org.knopwob.dunst.service
+	@rm -f core
+	@rm -f dunstify
 
 doc: dunst.1
 dunst.1: README.pod
-	pod2man $< > $@
+	pod2man --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
+
+service:
+	@sed "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
 
 install: all
 	@echo installing executables to ${DESTDIR}${PREFIX}/bin
@@ -45,11 +70,14 @@
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dunst.1
 	@mkdir -p "${DESTDIR}${PREFIX}/share/dunst"
 	@ cp -f dunstrc ${DESTDIR}${PREFIX}/share/dunst
+	@mkdir -p "${DESTDIR}${PREFIX}/share/dbus-1/services/"
+	@cp -vf org.knopwob.dunst.service "${DESTDIR}${PREFIX}/share/dbus-1/services/org.knopwob.dunst.service"
 
 uninstall:
 	@echo removing executables from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/dunst
 	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
 	@rm -f ${DESTDIR}${MANPREFIX}/man1/dunst
+	@rm -f ${DESTDIR}${PREFIX}/share/dbus-1/service/org.knopwob.dunst.service
 
 .PHONY: all options clean dist install uninstall

=== debian/changelog ===
dunst (1.0.0-2) unstable; urgency=low

  * experimental to unstable because dunst 1.0.0 was only in experimental due
    to the freeze. I even got a user request to provide 1.0.0 in !experimental
    because it supports RTL text.
  * Canonicalize Vcs-* fields

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 16 Jun 2013 23:30:14 +0200

dunst (1.0.0-1) experimental; urgency=low

  * New upstream version
    (Configured fonts might break due to the switch to pango)
  * Bump standards-version to 3.9.4 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 15 Apr 2013 15:18:58 +0200

dunst (0.5.0-1) experimental; urgency=low

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 30 Jan 2013 21:30:19 +0100

dunst (0.4.0-1) experimental; urgency=low

  * New upstream version

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 27 Sep 2012 12:55:06 +0200

dunst (0.3.1-1) experimental; urgency=low

  * Imported Upstream version 0.3.1
  * move packaging to collab-maint
  * update patches/example_path.patch for 0.3.1
  * enable hardening
  * Make Makefile use overwritten variables like CFLAGS (for hardening)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 08 Aug 2012 22:26:27 +0200

=== debian/control ===
Source: dunst
Section: x11
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               libdbus-1-dev,
	       libx11-dev,
	       libxinerama-dev,
	       libxft-dev,
	       libxss-dev,
	       libxdg-basedir-dev,
	       libglib2.0-dev,
	       libpango1.0-dev,
	       libcairo2-dev,
	       libfreetype6-dev,
	       libnotify-dev,
	       dpkg-dev (>= 1.16.1.1)
Standards-Version: 3.9.4
Homepage: http://www.knopwob.org/dunst/
Vcs-Git: git://anonscm.debian.org/collab-maint/dunst.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dunst.git;a=summary

Package: dunst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: notification-daemon
Description: dmenu-ish notification-daemon
 Dunst is a highly configurable and lightweight notification-daemon: The
 only thing it displays is a colored box with unformatted text. The whole
 notification specification (non-optional parts and the "body" capability) is
 supported as long as it fits into this look & feel.
 .
 Dunst is designed to fit nicely into minimalistic windowmanagers like dwm, but
 it should work on any Linux desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	

%:
	dh $@

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/knopwob/dunst/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:51:36 +0000

## dunst 1.1.0

=== Makefile ===
# dunst - Notification-daemon
# See LICENSE file for copyright and license details.

include config.mk

SRC = x.c  \
	  dunst.c \
	  dbus.c  \
	  utils.c \
	  option_parser.c \
	  settings.c \
	  rules.c \
	  menu.c \
	  notification.c
OBJ = ${SRC:.c=.o}

V ?= 0
ifeq (${V}, 0)
.SILENT:
endif

all: doc options dunst service

options:
	@echo dunst build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC -c $<
	${CC} -c $< ${CFLAGS}

${OBJ}: config.h config.mk

config.h: config.def.h
	@if test -s $@; then echo $< is newer than $@, merge and save $@. If you haven\'t edited $@ you can just delete it	&& exit 1; fi
	@echo creating $@ from $<
	@cp $< $@

dunst: ${OBJ}
	@echo "${CC} ${CFLAGS} -o $@ ${OBJ} ${LDFLAGS}"
	@${CC} ${CFLAGS} -o $@ ${OBJ} ${LDFLAGS}

dunstify:
	@${CC} -o $@ dunstify.c -std=c99 $(shell pkg-config --libs --cflags glib-2.0 libnotify) 

debug: ${OBJ}
	@echo CC -o $@
	@${CC} ${CFLAGS} -O0 -o dunst ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	rm -f ${OBJ}
	rm -f dunst
	rm -f dunst.1
	rm -f org.knopwob.dunst.service
	rm -f core
	rm -f dunstify

doc: dunst.1
dunst.1: README.pod
	pod2man --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@

service:
	@sed "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service

install: all
	@echo installing executables to ${DESTDIR}${PREFIX}/bin
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f dunst ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/dunst
	@echo installing manual pages to ${DESTDIR}${MANPREFIX}/man1
	mkdir -p ${DESTDIR}${MANPREFIX}/man1
	cp -f dunst.1 ${DESTDIR}${MANPREFIX}/man1/
	chmod 644 ${DESTDIR}${MANPREFIX}/man1/dunst.1
	mkdir -p "${DESTDIR}${PREFIX}/share/dunst"
	 cp -f dunstrc ${DESTDIR}${PREFIX}/share/dunst
	mkdir -p "${DESTDIR}${PREFIX}/share/dbus-1/services/"
	cp -vf org.knopwob.dunst.service "${DESTDIR}${PREFIX}/share/dbus-1/services/org.knopwob.dunst.service"

uninstall:
	@echo removing executables from ${DESTDIR}${PREFIX}/bin
	rm -f ${DESTDIR}${PREFIX}/bin/dunst
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst
	rm -f ${DESTDIR}${PREFIX}/share/dbus-1/service/org.knopwob.dunst.service

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
dunst (1.1.0-2) unstable; urgency=medium

  * Install dunstrc to /etc/xdg/dunst/dunstrc (Closes: #765827)
  * Update debian/copyright: draw.* and ini.* have been removed in previous
    new upstream releases.
  * s/BSD/BSD-3-clause/ in debian/copyright
  * Bump Standards-Version to 3.9.6 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 07 Nov 2014 09:59:00 +0100

dunst (1.1.0-1) unstable; urgency=medium

  * New upstream release.
    Closes: #740840, #705607, #750596, #729690

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 31 Jul 2014 10:04:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 	       libxft-dev,
 	       libxss-dev,
 	       libxdg-basedir-dev,
-	       libglib2.0-dev,
+	       libglib2.0-dev (>= 2.36),
 	       libpango1.0-dev,
 	       libcairo2-dev,
 	       libfreetype6-dev,
 	       libnotify-dev,
 	       dpkg-dev (>= 1.16.1.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.knopwob.org/dunst/
 Vcs-Git: git://anonscm.debian.org/collab-maint/dunst.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dunst.git;a=summary

## dunst 1.2.0

=== Makefile ===
# dunst - Notification-daemon
# See LICENSE file for copyright and license details.

include config.mk

CFLAGS += -I.
LDFLAGS += -L.

SRC := $(shell find src/ -name '*.c')
OBJ := ${SRC:.c=.o}

all: doc dunst service

.c.o:
	${CC} -o $@ -c $< ${CFLAGS}

${OBJ}: config.h config.mk

config.h: config.def.h
	@if test -s $@; then echo $< is newer than $@, merge and save $@. If you haven\'t edited $@ you can just delete it	&& exit 1; fi
	@echo creating $@ from $<
	@cp $< $@

dunst: ${OBJ} main.o
	${CC} ${CFLAGS} -o $@ ${OBJ} main.o ${LDFLAGS}

clean-dunst:
	rm -f dunst ${OBJ} main.o
	rm -f org.knopwob.dunst.service
	rm -f dunst.systemd.service

clean-dunstify:
	rm -f dunstify.o
	rm -f dunstify

clean-doc:
	rm -f docs/dunst.1

clean: clean-dunst clean-dunstify clean-doc test-clean

distclean: clean clean-config

clean-config:
	rm -f config.h

doc: docs/dunst.1
docs/dunst.1: docs/dunst.pod
	pod2man --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@

service:
	@sed "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
	@sed "s|##PREFIX##|$(PREFIX)|" dunst.systemd.service.in > dunst.systemd.service

install-dunst: dunst doc
	mkdir -p ${DESTDIR}${PREFIX}/bin
	install -m755 dunst ${DESTDIR}${PREFIX}/bin
	mkdir -p ${DESTDIR}${MANPREFIX}/man1
	install -m644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1

install-doc:
	mkdir -p ${DESTDIR}${PREFIX}/share/dunst
	install -m644 dunstrc ${DESTDIR}${PREFIX}/share/dunst

install-service: service
	mkdir -p ${DESTDIR}${PREFIX}/share/dbus-1/services/
	install -m644 org.knopwob.dunst.service ${DESTDIR}${PREFIX}/share/dbus-1/services
	install -Dm644 dunst.systemd.service ${DESTDIR}${PREFIX}/lib/systemd/user/dunst.service

install: install-dunst install-doc install-service

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/dunst
	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
	rm -f ${DESTDIR}${PREFIX}/share/dbus-1/services/org.knopwob.dunst.service
	rm -rf ${DESTDIR}${PREFIX}/share/dunst

test: test/test
	cd test && ./test

TEST_SRC := $(shell find test/ -name '*.c')
TEST_OBJ := $(TEST_SRC:.c=.o)

test/test: ${OBJ} ${TEST_OBJ}
	${CC} ${CFLAGS} -o $@ ${TEST_OBJ} ${OBJ} ${LDFLAGS}

test-clean:
	rm -f test/test test/*.o

dunstify: dunstify.o
	${CC} ${CFLAGS} -o $@ dunstify.o $(shell pkg-config --libs --cflags glib-2.0 libnotify gdk-2.0)

.PHONY: all clean dist install uninstall

=== debian/changelog ===
dunst (1.2.0-2) unstable; urgency=medium

  * rm debian/org.knopwob.dunst.service to not shadow upstream (Closes: #878164)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 10 Oct 2017 22:28:17 +0200

dunst (1.2.0-1) unstable; urgency=medium

  * Update upstream URLs
  * New upstream version 1.2.0
  * Refresh patch
  * Update Build-Deps
  * Use a secure Vcs URI
  * switch to debhelper compat 10
  * Enable all hardening
  * Bump Standards-Version to 4.1.1 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 05 Oct 2017 21:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: x11
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 10),
                libdbus-1-dev,
 	       libx11-dev,
 	       libxinerama-dev,
-	       libxft-dev,
 	       libxss-dev,
 	       libxdg-basedir-dev,
 	       libglib2.0-dev (>= 2.36),
 	       libpango1.0-dev,
 	       libcairo2-dev,
-	       libfreetype6-dev,
 	       libnotify-dev,
+	       libxrandr-dev,
+	       libgtk2.0-dev,
 	       dpkg-dev (>= 1.16.1.1)
-Standards-Version: 3.9.6
-Homepage: http://www.knopwob.org/dunst/
-Vcs-Git: git://anonscm.debian.org/collab-maint/dunst.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dunst.git;a=summary
+Standards-Version: 4.1.1
+Homepage: https://dunst-project.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dunst.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dunst.git/
 
 Package: dunst
 Architecture: any

## dunst 1.3.0

=== Makefile ===
# dunst - Notification-daemon
# See LICENSE file for copyright and license details.

include config.mk

VERSION := "1.3.0 (2018-01-05)"
ifneq ($(wildcard ./.git/.),)
VERSION := $(shell git describe --tags)
endif

ifeq (,${SYSTEMD})
# Check for systemctl to avoid discrepancies on systems, where
# systemd is installed, but systemd.pc is in another package 
systemctl := $(shell command -v systemctl >/dev/null && echo systemctl)
ifeq (systemctl,${systemctl})
SYSTEMD := 1
else
SYSTEMD := 0
endif
endif

SERVICEDIR_DBUS ?= $(shell pkg-config dbus-1 --variable=session_bus_services_dir)
SERVICEDIR_DBUS := ${SERVICEDIR_DBUS}
ifeq (,${SERVICEDIR_DBUS})
$(error "Failed to query pkg-config for package 'dbus-1'!")
endif

ifneq (0,${SYSTEMD})
SERVICEDIR_SYSTEMD ?= $(shell pkg-config systemd --variable=systemduserunitdir)
SERVICEDIR_SYSTEMD := ${SERVICEDIR_SYSTEMD}
ifeq (,${SERVICEDIR_SYSTEMD})
$(error "Failed to query pkg-config for package 'systemd'!")
endif
endif

LIBS := $(shell pkg-config --libs   ${pkg_config_packs})
INCS := $(shell pkg-config --cflags ${pkg_config_packs})

ifneq (clean, $(MAKECMDGOALS))
ifeq ($(and $(INCS),$(LIBS)),)
$(error "pkg-config failed!")
endif
endif

CFLAGS += -I. ${INCS}
LDFLAGS+= -L. ${LIBS}

SRC := $(sort $(shell find src/ -name '*.c'))
OBJ := ${SRC:.c=.o}
TEST_SRC := $(sort $(shell find test/ -name '*.c'))
TEST_OBJ := $(TEST_SRC:.c=.o)

.PHONY: all debug
all: doc dunst service

debug: CFLAGS   += ${CFLAGS_DEBUG}
debug: LDFLAGS  += ${LDFLAGS_DEBUG}
debug: CPPFLAGS += ${CPPFLAGS_DEBUG}
debug: all

.c.o:
	${CC} -o $@ -c $< ${CFLAGS}

${OBJ}: config.mk

dunst: ${OBJ} main.o
	${CC} ${CFLAGS} -o $@ ${OBJ} main.o ${LDFLAGS}

dunstify: dunstify.o
	${CC} ${CFLAGS} -o $@ dunstify.o ${LDFLAGS}

.PHONY: test test-valgrind
test: test/test
	cd test && ./test

test-valgrind: test/test
	cd ./test \
		&& valgrind \
			--suppressions=../.valgrind.suppressions \
			--leak-check=full \
			--show-leak-kinds=definite \
			--errors-for-leak-kinds=definite \
			--error-exitcode=123 \
			./test

test/test: ${OBJ} ${TEST_OBJ}
	${CC} ${CFLAGS} -o $@ ${TEST_OBJ} ${OBJ} ${LDFLAGS}

.PHONY: doc
doc: docs/dunst.1
docs/dunst.1: docs/dunst.pod
	pod2man --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@

.PHONY: service service-dbus service-systemd
service: service-dbus
service-dbus:
	@sed "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
ifneq (0,${SYSTEMD})
service: service-systemd
service-systemd:
	@sed "s|##PREFIX##|$(PREFIX)|" dunst.systemd.service.in > dunst.systemd.service
endif

.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests
clean: clean-dunst clean-dunstify clean-doc clean-tests

clean-dunst:
	rm -f dunst ${OBJ} main.o
	rm -f org.knopwob.dunst.service
	rm -f dunst.systemd.service

clean-dunstify:
	rm -f dunstify.o
	rm -f dunstify

clean-doc:
	rm -f docs/dunst.1

clean-tests:
	rm -f test/test test/*.o

.PHONY: install install-dunst install-doc \
        install-service install-service-dbus install-service-systemd \
        uninstall \
        uninstall-service uninstall-service-dbus uninstall-service-systemd
install: install-dunst install-doc install-service

install-dunst: dunst doc
	install -Dm755 dunst ${DESTDIR}${PREFIX}/bin/dunst
	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1

install-doc:
	install -Dm644 dunstrc ${DESTDIR}${PREFIX}/share/dunst/dunstrc

install-service: service install-service-dbus
install-service-dbus:
	install -Dm644 org.knopwob.dunst.service ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service
ifneq (0,${SYSTEMD})
install-service: install-service-systemd
install-service-systemd:
	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
endif

uninstall: uninstall-service
	rm -f ${DESTDIR}${PREFIX}/bin/dunst
	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
	rm -rf ${DESTDIR}${PREFIX}/share/dunst

uninstall-service: uninstall-service-dbus
uninstall-service-dbus:
	rm -f ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service

ifneq (0,${SYSTEMD})
uninstall-service: uninstall-service-systemd
uninstall-service-systemd:
	rm -f ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
endif

=== debian/changelog ===
dunst (1.3.0-2) unstable; urgency=medium

  * Makefile: correct dependencies to fix race condition (Closes: #888760)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 29 Jan 2018 16:53:39 +0100

dunst (1.3.0-1) unstable; urgency=medium

  * Enable pristine-tar in debian/gbp.conf to reflect status quo
  * Update Vcs-* tags after moving to salsa
  * New upstream version 1.3.0
  * refresh patches
  * add build-dep on systemd so that dunst installs the service file
  * priority extra was replaced by priority optional

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 28 Jan 2018 09:50:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: dunst
 Section: x11
-Priority: extra
+Priority: optional
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 10),
                libdbus-1-dev,
@@ -14,11 +14,12 @@
 	       libnotify-dev,
 	       libxrandr-dev,
 	       libgtk2.0-dev,
-	       dpkg-dev (>= 1.16.1.1)
+	       dpkg-dev (>= 1.16.1.1),
+	       systemd
 Standards-Version: 4.1.1
 Homepage: https://dunst-project.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dunst.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dunst.git/
+Vcs-Git: https://salsa.debian.org/debian/dunst.git
+Vcs-Browser: https://salsa.debian.org/debian/dunst
 
 Package: dunst
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
-	
 
 %:
 	dh $@

## dunst 1.3.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.3.0 (2018-01-05)"
+VERSION := "1.3.2 (2018-05-06)"
 ifneq ($(wildcard ./.git/.),)
 VERSION := $(shell git describe --tags)
 endif
@@ -132,12 +132,12 @@
 install-doc:
 	install -Dm644 dunstrc ${DESTDIR}${PREFIX}/share/dunst/dunstrc
 
-install-service: service install-service-dbus
-install-service-dbus:
+install-service: install-service-dbus
+install-service-dbus: service-dbus
 	install -Dm644 org.knopwob.dunst.service ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service
 ifneq (0,${SYSTEMD})
 install-service: install-service-systemd
-install-service-systemd:
+install-service-systemd: service-systemd
 	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif

=== debian/changelog ===
dunst (1.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Michael Stapelberg ]
  * delete gbp.conf to get rid of pristine-tar
  * New upstream version 1.3.2
  * drop debian/patches/makefile.patch (applied upstream)
  * debian/patches/cross.patch: make pkg-config substitutable
  * debian/rules: supply $PKG_CONFIG for all targets
    (Closes: #910984)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 14 Oct 2018 20:16:04 +0200

dunst (1.3.0-3) unstable; urgency=medium

  [ Pascal De Vuyst ]
  * depend on default-dbus-session-bus | dbus-session-bus (Closes: #859453)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 05 Aug 2018 19:27:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+-include /usr/share/dpkg/buildtools.mk
+export PKG_CONFIG ?= pkg-config
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 
 %:
-	dh $@ 
+	dh $@

## dunst 1.4.1

=== Makefile ===
# dunst - Notification-daemon
# See LICENSE file for copyright and license details.

include config.mk

VERSION := "1.4.1 (2019-07-03)"
ifneq ($(wildcard ./.git/),)
VERSION := $(shell ${GIT} describe --tags)
endif

ifeq (,${SYSTEMD})
# Check for systemctl to avoid discrepancies on systems, where
# systemd is installed, but systemd.pc is in another package
systemctl := $(shell command -v ${SYSTEMCTL} >/dev/null && echo systemctl)
ifeq (systemctl,${systemctl})
SYSTEMD := 1
else
SYSTEMD := 0
endif
endif

SERVICEDIR_DBUS ?= $(shell $(PKG_CONFIG) dbus-1 --variable=session_bus_services_dir)
SERVICEDIR_DBUS := ${SERVICEDIR_DBUS}
ifeq (,${SERVICEDIR_DBUS})
$(error "Failed to query $(PKG_CONFIG) for package 'dbus-1'!")
endif

ifneq (0,${SYSTEMD})
SERVICEDIR_SYSTEMD ?= $(shell $(PKG_CONFIG) systemd --variable=systemduserunitdir)
SERVICEDIR_SYSTEMD := ${SERVICEDIR_SYSTEMD}
ifeq (,${SERVICEDIR_SYSTEMD})
$(error "Failed to query $(PKG_CONFIG) for package 'systemd'!")
endif
endif

LIBS := $(shell $(PKG_CONFIG) --libs   ${pkg_config_packs})
INCS := $(shell $(PKG_CONFIG) --cflags ${pkg_config_packs})

ifneq (clean, $(MAKECMDGOALS))
ifeq ($(and $(INCS),$(LIBS)),)
$(error "$(PKG_CONFIG) failed!")
endif
endif

CFLAGS  := ${DEFAULT_CPPFLAGS} ${CPPFLAGS} ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}

SRC := $(sort $(shell ${FIND} src/ -name '*.c'))
OBJ := ${SRC:.c=.o}
TEST_SRC := $(sort $(shell ${FIND} test/ -name '*.c'))
TEST_OBJ := $(TEST_SRC:.c=.o)
DEPS := ${SRC:.c=.d} ${TEST_SRC:.c=.d}


.PHONY: all debug
all: doc dunst service

debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
debug: LDFLAGS  += ${LDFLAGS_DEBUG}
debug: CPPFLAGS += ${CPPFLAGS_DEBUG}
debug: all

-include $(DEPS)

${OBJ} ${TEST_OBJ}: Makefile config.mk

%.o: %.c
	${CC} -o $@ -c $< ${CFLAGS}

dunst: ${OBJ} main.o
	${CC} -o ${@} ${OBJ} main.o ${CFLAGS} ${LDFLAGS}

dunstify: dunstify.o
	${CC} -o ${@} dunstify.o ${CFLAGS} ${LDFLAGS}

.PHONY: test test-valgrind test-coverage
test: test/test clean-coverage-run
	./test/test -v

test-valgrind: test/test
	${VALGRIND} \
		--suppressions=.valgrind.suppressions \
		--leak-check=full \
		--show-leak-kinds=definite \
		--errors-for-leak-kinds=definite \
		--num-callers=40 \
		--error-exitcode=123 \
		./test/test -v

test-coverage: CFLAGS += -fprofile-arcs -ftest-coverage -O0
test-coverage: test

test-coverage-report: test-coverage
	mkdir -p docs/internal/coverage
	${GCOVR} \
		-r . \
		--exclude=test \
		--html \
		--html-details \
		-o docs/internal/coverage/index.html

test/%.o: test/%.c src/%.c
	${CC} -o $@ -c $< ${CFLAGS}

test/test: ${OBJ} ${TEST_OBJ}
	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}

.PHONY: doc doc-doxygen
doc: docs/dunst.1
docs/dunst.1: docs/dunst.pod
	${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
doc-doxygen:
	${DOXYGEN} docs/internal/Doxyfile

.PHONY: service service-dbus service-systemd
service: service-dbus
service-dbus:
	@${SED} "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
ifneq (0,${SYSTEMD})
service: service-systemd
service-systemd:
	@${SED} "s|##PREFIX##|$(PREFIX)|" dunst.systemd.service.in > dunst.systemd.service
endif

.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run
clean: clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run

clean-dunst:
	rm -f dunst ${OBJ} main.o main.d ${DEPS}
	rm -f org.knopwob.dunst.service
	rm -f dunst.systemd.service

clean-dunstify:
	rm -f dunstify.o
	rm -f dunstify.d
	rm -f dunstify

clean-doc:
	rm -f docs/dunst.1
	rm -fr docs/internal/html
	rm -fr docs/internal/coverage

clean-tests:
	rm -f test/test test/*.o test/*.d

clean-coverage: clean-coverage-run
	${FIND} . -type f -name '*.gcno' -delete
	${FIND} . -type f -name '*.gcna' -delete
# Cleans the coverage data before every run to not double count any lines
clean-coverage-run:
	${FIND} . -type f -name '*.gcov' -delete
	${FIND} . -type f -name '*.gcda' -delete

.PHONY: install install-dunst install-doc \
        install-service install-service-dbus install-service-systemd \
        uninstall \
        uninstall-service uninstall-service-dbus uninstall-service-systemd
install: install-dunst install-doc install-service

install-dunst: dunst doc
	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1

install-doc:
	install -Dm644 dunstrc ${DESTDIR}${DATADIR}/dunst/dunstrc

install-service: install-service-dbus
install-service-dbus: service-dbus
	install -Dm644 org.knopwob.dunst.service ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service
ifneq (0,${SYSTEMD})
install-service: install-service-systemd
install-service-systemd: service-systemd
	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
endif

uninstall: uninstall-service
	rm -f ${DESTDIR}${BINDIR}/dunst
	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
	rm -rf ${DESTDIR}${DATADIR}/dunst

uninstall-service: uninstall-service-dbus
uninstall-service-dbus:
	rm -f ${DESTDIR}${SERVICEDIR_DBUS}/org.knopwob.dunst.service

ifneq (0,${SYSTEMD})
uninstall-service: uninstall-service-systemd
uninstall-service-systemd:
	rm -f ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
endif

=== debian/changelog ===
dunst (1.4.1-1) unstable; urgency=medium

  [ Francois Marier ]
  * Use sensible-browser instead of Firefox in /etc/xdg/dunst/dunstrc
      (Closes: #929456)

  [ Nikos Tsipinakis ]
  * Adopt package (Closes: #930310)
  * New upstream version 1.4.1
  * Remove cross.patch (applied upstream)
  * Refresh patches
  * d/control:
    - Drop build-dep on libxdg-basedir
    - Remove glib version constraint (minimum version no longer in archive)
    - Drop build-dep on gtk in favour of gdk-pixbuf
    - Add build-dep on dbus daemon and librsvg (required for the test suite)
  * Bump standards to 4.4.0
  * Install release notes as NEWS in docs
  * Bump debhelper compat to 12
    Also switch to using debhelper-compat rather than d/compat
  * d/copyright:
    - Update Source URL
    - Add myself to debian/ attributions
    - Add missing license for greatest.h

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Thu, 11 Jul 2019 17:57:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Build-Depends: debhelper-compat (= 12),
                libdbus-1-dev,
 	       libx11-dev,
 	       libxinerama-dev,
 	       libxss-dev,
-	       libxdg-basedir-dev,
-	       libglib2.0-dev (>= 2.36),
+	       libglib2.0-dev,
 	       libpango1.0-dev,
 	       libcairo2-dev,
 	       libnotify-dev,
 	       libxrandr-dev,
-	       libgtk2.0-dev,
+	       libgdk-pixbuf2.0-dev,
 	       dpkg-dev (>= 1.16.1.1),
-	       systemd
-Standards-Version: 4.1.1
+	       systemd,
+	       default-dbus-session-bus | dbus-session-bus,
+	       librsvg2-common
+Standards-Version: 4.4.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
 
 Package: dunst
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-dbus-session-bus | dbus-session-bus
+Recommends: sensible-utils
 Provides: notification-daemon
 Description: dmenu-ish notification-daemon
  Dunst is a highly configurable and lightweight notification-daemon: The

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,12 @@
 -include /usr/share/dpkg/buildtools.mk
 export PKG_CONFIG ?= pkg-config
 
+%:
+	dh $@
+
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
 
-%:
-	dh $@
+override_dh_installdocs:
+	install -m644 RELEASE_NOTES debian/dunst/usr/share/doc/dunst/NEWS
+	dh_installdocs

## dunst 1.5.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include config.mk
 
-VERSION := "1.4.1 (2019-07-03)"
+VERSION := "1.5.0 (2020-07-23)"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags)
 endif
@@ -53,7 +53,7 @@
 
 
 .PHONY: all debug
-all: doc dunst service
+all: doc dunst dunstify service
 
 debug: CFLAGS   += ${CPPFLAGS_DEBUG} ${CFLAGS_DEBUG}
 debug: LDFLAGS  += ${LDFLAGS_DEBUG}
@@ -106,9 +106,15 @@
 	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}
 
 .PHONY: doc doc-doxygen
-doc: docs/dunst.1
+doc: docs/dunst.1 docs/dunstctl.1
+
+# Can't dedup this as we need to explicitly provide the name and title text to
+# pod2man :(
 docs/dunst.1: docs/dunst.pod
 	${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
+docs/dunstctl.1: docs/dunstctl.pod
+	${POD2MAN} --name=dunstctl -c "dunstctl reference" --section=1 --release=${VERSION} $< > $@
+
 doc-doxygen:
 	${DOXYGEN} docs/internal/Doxyfile
 
@@ -137,6 +143,7 @@
 
 clean-doc:
 	rm -f docs/dunst.1
+	rm -f docs/dunstctl.1
 	rm -fr docs/internal/html
 	rm -fr docs/internal/coverage
 
@@ -151,15 +158,19 @@
 	${FIND} . -type f -name '*.gcov' -delete
 	${FIND} . -type f -name '*.gcda' -delete
 
-.PHONY: install install-dunst install-doc \
+.PHONY: install install-dunst install-dunstctl install-doc \
         install-service install-service-dbus install-service-systemd \
-        uninstall \
+        uninstall uninstall-dunstctl \
         uninstall-service uninstall-service-dbus uninstall-service-systemd
-install: install-dunst install-doc install-service
+install: install-dunst install-dunstctl install-doc install-service install-dunstify
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
 	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	install -Dm644 docs/dunstctl.1 ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
+
+install-dunstctl: dunstctl
+	install -Dm755 dunstctl ${DESTDIR}${BINDIR}/dunstctl
 
 install-doc:
 	install -Dm644 dunstrc ${DESTDIR}${DATADIR}/dunst/dunstrc
@@ -173,10 +184,18 @@
 	install -Dm644 dunst.systemd.service ${DESTDIR}${SERVICEDIR_SYSTEMD}/dunst.service
 endif
 
-uninstall: uninstall-service
+install-dunstify: dunstify
+	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
+
+uninstall: uninstall-service uninstall-dunstctl
 	rm -f ${DESTDIR}${BINDIR}/dunst
+	rm -f ${DESTDIR}${BINDIR}/dunstify
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
 	rm -rf ${DESTDIR}${DATADIR}/dunst
+
+uninstall-dunstctl:
+	rm -f ${DESTDIR}${BINDIR}/dunstctl
 
 uninstall-service: uninstall-service-dbus
 uninstall-service-dbus:

=== debian/changelog ===
dunst (1.5.0-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Mar 2022 06:58:37 -0500

dunst (1.5.0-1) unstable; urgency=medium

  [ Nikos Tsipinakis ]
  * New upstream version 1.5.0
  * d/control: Bump debhelper compat to 13 (no changes)
  * d/control: Bump standards version to 4.5.0 (no changes)
  * d/copyright: Update copyright years
  * d/patches: Refresh patches
  * d/patches: Fix typo in dunstify error message
  * d/control: Specify Rules-Requires-Root: no
  * d/copyright: Add upstream contact info
  * d/rules: Remove debhelper boilerplate
  * Remove leading slash in install file

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Mon, 26 Oct 2020 12:54:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: x11
 Priority: optional
 Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libdbus-1-dev,
 	       libx11-dev,
 	       libxinerama-dev,
 	       libxss-dev,
+	       libgdk-pixbuf2.0-dev,
 	       libglib2.0-dev,
 	       libpango1.0-dev,
 	       libcairo2-dev,
 	       libnotify-dev,
 	       libxrandr-dev,
-	       libgdk-pixbuf2.0-dev,
 	       dpkg-dev (>= 1.16.1.1),
 	       systemd,
 	       default-dbus-session-bus | dbus-session-bus,
 	       librsvg2-common
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
 Vcs-Browser: https://salsa.debian.org/debian/dunst
+Rules-Requires-Root: no
 
 Package: dunst
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_installdocs:
	install -m644 RELEASE_NOTES debian/dunst/usr/share/doc/dunst/NEWS
	dh_installdocs

## dunst 1.7.3%2Bgit20220126

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## dunst 1.7.3+git20220126

=== Makefile ===
--- 
+++ 
@@ -3,33 +3,18 @@
 
 include config.mk
 
-VERSION := "1.5.0 (2020-07-23)"
+VERSION := "1.7.3-non-git"
 ifneq ($(wildcard ./.git/),)
 VERSION := $(shell ${GIT} describe --tags)
 endif
 
-ifeq (,${SYSTEMD})
-# Check for systemctl to avoid discrepancies on systems, where
-# systemd is installed, but systemd.pc is in another package
-systemctl := $(shell command -v ${SYSTEMCTL} >/dev/null && echo systemctl)
-ifeq (systemctl,${systemctl})
-SYSTEMD := 1
-else
-SYSTEMD := 0
-endif
-endif
-
-SERVICEDIR_DBUS ?= $(shell $(PKG_CONFIG) dbus-1 --variable=session_bus_services_dir)
-SERVICEDIR_DBUS := ${SERVICEDIR_DBUS}
-ifeq (,${SERVICEDIR_DBUS})
-$(error "Failed to query $(PKG_CONFIG) for package 'dbus-1'!")
-endif
-
-ifneq (0,${SYSTEMD})
-SERVICEDIR_SYSTEMD ?= $(shell $(PKG_CONFIG) systemd --variable=systemduserunitdir)
-SERVICEDIR_SYSTEMD := ${SERVICEDIR_SYSTEMD}
-ifeq (,${SERVICEDIR_SYSTEMD})
-$(error "Failed to query $(PKG_CONFIG) for package 'systemd'!")
+SYSTEMD ?= $(shell $(PKG_CONFIG) --silence-errors ${SYSTEMDAEMON} || echo 0)
+
+ifneq (0,${WAYLAND})
+DATA_DIR_WAYLAND_PROTOCOLS ?= $(shell $(PKG_CONFIG) wayland-protocols --variable=pkgdatadir)
+DATA_DIR_WAYLAND_PROTOCOLS := ${DATA_DIR_WAYLAND_PROTOCOLS}
+ifeq (,${DATA_DIR_WAYLAND_PROTOCOLS})
+$(warning "Failed to query $(PKG_CONFIG) for package 'wayland-protocols'!")
 endif
 endif
 
@@ -42,10 +27,19 @@
 endif
 endif
 
+SYSCONF_FORCE_NEW ?= $(shell [ -f ${DESTDIR}${SYSCONFFILE} ] || echo 1)
+
 CFLAGS  := ${DEFAULT_CPPFLAGS} ${CPPFLAGS} ${DEFAULT_CFLAGS} ${CFLAGS} ${INCS} -MMD -MP
 LDFLAGS := ${DEFAULT_LDFLAGS} ${LDFLAGS} ${LIBS}
 
+
+ifeq (0,${WAYLAND})
+# without wayland support
+SRC := $(sort $(shell ${FIND} src/ -not \( -path src/wayland -prune \) -name '*.c'))
+else
+# with Wayland support
 SRC := $(sort $(shell ${FIND} src/ -name '*.c'))
+endif
 OBJ := ${SRC:.c=.o}
 TEST_SRC := $(sort $(shell ${FIND} test/ -name '*.c'))
 TEST_OBJ := $(TEST_SRC:.c=.o)
@@ -75,7 +69,9 @@
 
 .PHONY: test test-valgrind test-coverage
 test: test/test clean-coverage-run
-	./test/test -v
+	# Make sure an error code is returned when the test fails
+	/usr/bin/env bash -c 'set -euo pipefail;\
+	./test/test -v | ./test/greenest.awk '
 
 test-valgrind: test/test
 	${VALGRIND} \
@@ -106,19 +102,21 @@
 	${CC} -o ${@} ${TEST_OBJ} $(filter-out ${TEST_OBJ:test/%=src/%},${OBJ}) ${CFLAGS} ${LDFLAGS}
 
 .PHONY: doc doc-doxygen
-doc: docs/dunst.1 docs/dunstctl.1
+doc: docs/dunst.1 docs/dunst.5 docs/dunstctl.1
 
 # Can't dedup this as we need to explicitly provide the name and title text to
 # pod2man :(
-docs/dunst.1: docs/dunst.pod
-	${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} $< > $@
+docs/dunst.1: docs/dunst.1.pod
+	${SED} "s|##SYSCONFDIR##|${SYSCONFDIR}|" $< | ${POD2MAN} --name=dunst -c "Dunst Reference" --section=1 --release=${VERSION} > $@
+docs/dunst.5: docs/dunst.5.pod
+	${POD2MAN} --name=dunst -c "Dunst Reference" --section=5 --release=${VERSION} $< > $@
 docs/dunstctl.1: docs/dunstctl.pod
 	${POD2MAN} --name=dunstctl -c "dunstctl reference" --section=1 --release=${VERSION} $< > $@
 
 doc-doxygen:
 	${DOXYGEN} docs/internal/Doxyfile
 
-.PHONY: service service-dbus service-systemd
+.PHONY: service service-dbus service-systemd wayland-protocols
 service: service-dbus
 service-dbus:
 	@${SED} "s|##PREFIX##|$(PREFIX)|" org.knopwob.dunst.service.in > org.knopwob.dunst.service
@@ -128,7 +126,23 @@
 	@${SED} "s|##PREFIX##|$(PREFIX)|" dunst.systemd.service.in > dunst.systemd.service
 endif
 
-.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run
+ifneq (0,${WAYLAND})
+wayland-protocols: src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml
+	# TODO: write this shorter
+	mkdir -p src/wayland/protocols
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell.h
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/stable/xdg-shell/xdg-shell.xml src/wayland/protocols/xdg-shell-client-header.h
+	wayland-scanner client-header ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1-client-header.h
+	wayland-scanner private-code ${DATA_DIR_WAYLAND_PROTOCOLS}/unstable/xdg-output/xdg-output-unstable-v1.xml src/wayland/protocols/xdg-output-unstable-v1.h
+	wayland-scanner client-header src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1-client-header.h
+	wayland-scanner private-code src/wayland/protocols/wlr-layer-shell-unstable-v1.xml src/wayland/protocols/wlr-layer-shell-unstable-v1.h
+	wayland-scanner client-header src/wayland/protocols/idle.xml src/wayland/protocols/idle-client-header.h
+	wayland-scanner private-code src/wayland/protocols/idle.xml src/wayland/protocols/idle.h
+	wayland-scanner client-header src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1-client-header.h
+	wayland-scanner private-code src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.xml src/wayland/protocols/wlr-foreign-toplevel-management-unstable-v1.h
+endif
+
+.PHONY: clean clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run clean-wayland-protocols
 clean: clean-dunst clean-dunstify clean-doc clean-tests clean-coverage clean-coverage-run
 
 clean-dunst:
@@ -143,6 +157,7 @@
 
 clean-doc:
 	rm -f docs/dunst.1
+	rm -f docs/dunst.5
 	rm -f docs/dunstctl.1
 	rm -fr docs/internal/html
 	rm -fr docs/internal/coverage
@@ -158,22 +173,29 @@
 	${FIND} . -type f -name '*.gcov' -delete
 	${FIND} . -type f -name '*.gcda' -delete
 
-.PHONY: install install-dunst install-dunstctl install-doc \
+clean-wayland-protocols:
+	rm -f src/wayland/protocols/*.h
+
+.PHONY: install install-dunst install-dunstctl install-dunstrc \
         install-service install-service-dbus install-service-systemd \
-        uninstall uninstall-dunstctl \
-        uninstall-service uninstall-service-dbus uninstall-service-systemd
-install: install-dunst install-dunstctl install-doc install-service install-dunstify
+        uninstall uninstall-dunstctl uninstall-dunstrc \
+        uninstall-service uninstall-service-dbus uninstall-service-systemd \
+	uninstall-keepconf uninstall-purge
+install: install-dunst install-dunstctl install-dunstrc install-service install-dunstify
 
 install-dunst: dunst doc
 	install -Dm755 dunst ${DESTDIR}${BINDIR}/dunst
 	install -Dm644 docs/dunst.1 ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	install -Dm644 docs/dunst.5 ${DESTDIR}${MANPREFIX}/man5/dunst.5
 	install -Dm644 docs/dunstctl.1 ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
 
 install-dunstctl: dunstctl
 	install -Dm755 dunstctl ${DESTDIR}${BINDIR}/dunstctl
 
-install-doc:
-	install -Dm644 dunstrc ${DESTDIR}${DATADIR}/dunst/dunstrc
+ifeq (1,${SYSCONF_FORCE_NEW})
+install-dunstrc:
+	install -Dm644 dunstrc ${DESTDIR}${SYSCONFFILE}
+endif
 
 install-service: install-service-dbus
 install-service-dbus: service-dbus
@@ -187,12 +209,18 @@
 install-dunstify: dunstify
 	install -Dm755 dunstify ${DESTDIR}${BINDIR}/dunstify
 
-uninstall: uninstall-service uninstall-dunstctl
+uninstall: uninstall-keepconf
+uninstall-purge: uninstall-keepconf uninstall-dunstrc
+uninstall-keepconf: uninstall-service uninstall-dunstctl
 	rm -f ${DESTDIR}${BINDIR}/dunst
 	rm -f ${DESTDIR}${BINDIR}/dunstify
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunst.1
+	rm -f ${DESTDIR}${MANPREFIX}/man5/dunst.5
 	rm -f ${DESTDIR}${MANPREFIX}/man1/dunstctl.1
-	rm -rf ${DESTDIR}${DATADIR}/dunst
+
+uninstall-dunstrc:
+	rm -f ${DESTDIR}${SYSCONFFILE}
+	rmdir --ignore-fail-on-non-empty ${DESTDIR}${SYSCONFDIR}/dunst
 
 uninstall-dunstctl:
 	rm -f ${DESTDIR}${BINDIR}/dunstctl

=== debian/changelog ===
dunst (1.7.3+git20220126-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master from 20220126 for MX-21.
  * Swap 001 patch to just disable building with wayland. 

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 27 Jan 2022 14:21:22 -0500

dunst (1.7.3+git20220116-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * Create 001_disables-for-mx.patch to force no wayland and systemd.
  * Create 002_disable-misc-test-for-mx.patch because it fails build. 

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 19 Jan 2022 12:59:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: dunst
 Section: x11
 Priority: optional
-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends: debhelper-compat (= 13),
                libdbus-1-dev,
-	       libx11-dev,
-	       libxinerama-dev,
-	       libxss-dev,
-	       libgdk-pixbuf2.0-dev,
-	       libglib2.0-dev,
-	       libpango1.0-dev,
-	       libcairo2-dev,
-	       libnotify-dev,
-	       libxrandr-dev,
-	       dpkg-dev (>= 1.16.1.1),
-	       systemd,
-	       default-dbus-session-bus | dbus-session-bus,
-	       librsvg2-common
+               libx11-dev,
+               libxinerama-dev,
+               libxss-dev,
+               libgdk-pixbuf2.0-dev,
+               libglib2.0-dev,
+               libpango1.0-dev,
+               libcairo2-dev,
+               libnotify-dev,
+               libxrandr-dev,
+               dpkg-dev (>= 1.16.1.1),
+               systemd,
+               default-dbus-session-bus | dbus-session-bus,
+               librsvg2-common,
+               pkg-config,
+               libxdg-basedir-dev,
+               libxft-dev
 Standards-Version: 4.5.0
 Homepage: https://dunst-project.org/
 Vcs-Git: https://salsa.debian.org/debian/dunst.git
